Subject: bug#78927: [PATCH] Update `fill-region-as-paragraph-semlf' to follow fill.el protocols

From: Juri Linkov <[email-masked]>
Date: Tue, 01 Jul 2025 09:57:07 +0300

> Given that `fill-paragraph-semlf' is not part of any stable release of
> GNU Emacs, I guess it is fine to remove it.  Is this a fair assumption?

Thanks, now I tried to change this setting in .dir-locals.el:

  (fill-paragraph-function . fill-paragraph-semlf)

to

  (fill-region-as-paragraph-function . fill-region-as-paragraph-semlf)

and everything works nicely with the default keybinding 'M-q'.

Shouldn't this way of enabling the new feature be mentioned in etc/NEWS?